> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate account verification code

> Sends verification code to be validated

<RequestExample>
  ```bash Request theme={null}
  curl --location 
  --request PUT 'https://staging-api.propaga.io/v1/account/{userId}/verification/{verificationId}'
  --header 'Authorization: <your_awesome_token>'
  --header 'Content-Type: application/json'
  --data '{
      "errorCode": "1234"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "verificationId": "bea8f10f-6fcd-4ca4-90ea-9ac73df2e2f2",
      "verificationStatus": "User verified successfull",
      "userId": "f3aeccd2-ea87-4547-90e5-753b21f7895e",
      "cornerStoreId": "f4acb0f8-cbab-43e3-8594-739b1fa3b5b9"
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="userId" type="string" required>
  Propaga's user id
</ParamField>

<ParamField path="verificationId" type="string" required>
  Verification id generated on the creation of the transaction
</ParamField>

## Body

<ParamField body="code" type="string" required />

## Response

<ResponseField name="verificationId" type="string" />

<ResponseField name="verificationId" type="string" />

<ResponseField name="userId" type="string" />

<ResponseField name="cornerStoreId" type="string" />

## Response

<ResponseField name="verificationId" type="string" />

## Error codes

<ResponseField>
  ```json Verification not found (404) theme={null}
  {
      "errorCode": "VERIFICATION_NOT_FOUND",
      "errorMessage": "This verification not found"
  }
  ```

  ```json Verification not valid (422) theme={null}
  {
      "errorCode": "VERIFICATION_NOT_VALID",
      "errorMessage": "This verification is not valid"
  }
  ```

  ```json User already verified (422) theme={null}
  {
      "errorCode": "USER_IS_VERIFIED",
      "errorMessage": "This user is verified"
  }
  ```

  ```json User in internal verification (422) theme={null}
  {
      "errorCode": "USER_IN_MANUAL_VALIDATION",
      "errorMessage": "This user information is currently in manual validation"
  }
  ```
</ResponseField>
